{% extends "base.html" %}
{% load material_form %}
{% block content %}

{% if form.errors %}
<p>Votre nom d'utilisateur ne correspond pas à votre mot de passe. Veuillez réessayer</p>
{% endif %}

{% if next %}
    {% if user.is_authenticated %}
    <p>Votre compte ne vous permet pas d'accéder à cette page.</p>
    {% else %}
        <p>Veuillez vous identifier ou <a href="/accounts/add">créer un compte</a> pour accéder à cette page.</p>
    {% endif %}
{% endif %}

<form method="post" action="{% url 'login' %}">
{% csrf_token %}
{% form form=form %}{% endform %}

<input type="submit" value="login" class="btn" />
<input type="hidden" name="next" value="{{ next }}" />
</form>

{# Assumes you setup the password_reset view in your URLconf #}
<p><a href="{% url 'password_reset' %}">Mot de passe oublié ??</a></p> <!-- TODO:faire un reset par mail-->

{% endblock %}